<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePropertyRoomRateMappingSetupTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('property_room_rate_mapping_setup', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('room_rate_mapping_id');
            $table->string('setup_type', 100)->comment('EXT_ADULT, EXT_CHILD, DIS_GUEST');
            $table->string('value_type', 100)->comment('FIX, PER');
            $table->double('value', 10,2);

            $table->tinyInteger('status')->default(1);
            $table->unsignedInteger('created_by');
            $table->unsignedInteger('updated_by');
            $table->integer('created_at');
            $table->integer('updated_at');

            $table->foreign('created_by')->references('id')->on('user');
            $table->foreign('updated_by')->references('id')->on('user');
            $table->foreign('room_rate_mapping_id')->references('id')->on('property_room_rate_mapping');
            $table->unique(['room_rate_mapping_id', 'setup_type'], 'room_rate_setup_unique');


        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('property_room_rate_mapping_setup');
    }
}
